Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
24.0.0.0
Broadcast address
25.255.255.255
First usable
24.0.0.1
Last usable
25.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 18000000 · Integer 402653184 to 436207615
Reverse DNS zones
24.in-addr.arpa
25.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.00000000.00000000.0000000024.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00011000.00000000.00000000.0000000024.0.0.0
Broadcast00011001.11111111.11111111.1111111125.255.255.255
Split into smaller subnets/14

24.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.0.0.0/1424.0.0.1 to 24.3.255.25424.3.255.255262,142
224.4.0.0/1424.4.0.1 to 24.7.255.25424.7.255.255262,142
324.8.0.0/1424.8.0.1 to 24.11.255.25424.11.255.255262,142
424.12.0.0/1424.12.0.1 to 24.15.255.25424.15.255.255262,142
524.16.0.0/1424.16.0.1 to 24.19.255.25424.19.255.255262,142
624.20.0.0/1424.20.0.1 to 24.23.255.25424.23.255.255262,142
724.24.0.0/1424.24.0.1 to 24.27.255.25424.27.255.255262,142
824.28.0.0/1424.28.0.1 to 24.31.255.25424.31.255.255262,142
924.32.0.0/1424.32.0.1 to 24.35.255.25424.35.255.255262,142
1024.36.0.0/1424.36.0.1 to 24.39.255.25424.39.255.255262,142
1124.40.0.0/1424.40.0.1 to 24.43.255.25424.43.255.255262,142
1224.44.0.0/1424.44.0.1 to 24.47.255.25424.47.255.255262,142
1324.48.0.0/1424.48.0.1 to 24.51.255.25424.51.255.255262,142
1424.52.0.0/1424.52.0.1 to 24.55.255.25424.55.255.255262,142
1524.56.0.0/1424.56.0.1 to 24.59.255.25424.59.255.255262,142
1624.60.0.0/1424.60.0.1 to 24.63.255.25424.63.255.255262,142
1724.64.0.0/1424.64.0.1 to 24.67.255.25424.67.255.255262,142
1824.68.0.0/1424.68.0.1 to 24.71.255.25424.71.255.255262,142
1924.72.0.0/1424.72.0.1 to 24.75.255.25424.75.255.255262,142
2024.76.0.0/1424.76.0.1 to 24.79.255.25424.79.255.255262,142
2124.80.0.0/1424.80.0.1 to 24.83.255.25424.83.255.255262,142
2224.84.0.0/1424.84.0.1 to 24.87.255.25424.87.255.255262,142
2324.88.0.0/1424.88.0.1 to 24.91.255.25424.91.255.255262,142
2424.92.0.0/1424.92.0.1 to 24.95.255.25424.95.255.255262,142
2524.96.0.0/1424.96.0.1 to 24.99.255.25424.99.255.255262,142
2624.100.0.0/1424.100.0.1 to 24.103.255.25424.103.255.255262,142
2724.104.0.0/1424.104.0.1 to 24.107.255.25424.107.255.255262,142
2824.108.0.0/1424.108.0.1 to 24.111.255.25424.111.255.255262,142
2924.112.0.0/1424.112.0.1 to 24.115.255.25424.115.255.255262,142
3024.116.0.0/1424.116.0.1 to 24.119.255.25424.119.255.255262,142
3124.120.0.0/1424.120.0.1 to 24.123.255.25424.123.255.255262,142
3224.124.0.0/1424.124.0.1 to 24.127.255.25424.127.255.255262,142
3324.128.0.0/1424.128.0.1 to 24.131.255.25424.131.255.255262,142
3424.132.0.0/1424.132.0.1 to 24.135.255.25424.135.255.255262,142
3524.136.0.0/1424.136.0.1 to 24.139.255.25424.139.255.255262,142
3624.140.0.0/1424.140.0.1 to 24.143.255.25424.143.255.255262,142
3724.144.0.0/1424.144.0.1 to 24.147.255.25424.147.255.255262,142
3824.148.0.0/1424.148.0.1 to 24.151.255.25424.151.255.255262,142
3924.152.0.0/1424.152.0.1 to 24.155.255.25424.155.255.255262,142
4024.156.0.0/1424.156.0.1 to 24.159.255.25424.159.255.255262,142
4124.160.0.0/1424.160.0.1 to 24.163.255.25424.163.255.255262,142
4224.164.0.0/1424.164.0.1 to 24.167.255.25424.167.255.255262,142
4324.168.0.0/1424.168.0.1 to 24.171.255.25424.171.255.255262,142
4424.172.0.0/1424.172.0.1 to 24.175.255.25424.175.255.255262,142
4524.176.0.0/1424.176.0.1 to 24.179.255.25424.179.255.255262,142
4624.180.0.0/1424.180.0.1 to 24.183.255.25424.183.255.255262,142
4724.184.0.0/1424.184.0.1 to 24.187.255.25424.187.255.255262,142
4824.188.0.0/1424.188.0.1 to 24.191.255.25424.191.255.255262,142
4924.192.0.0/1424.192.0.1 to 24.195.255.25424.195.255.255262,142
5024.196.0.0/1424.196.0.1 to 24.199.255.25424.199.255.255262,142
5124.200.0.0/1424.200.0.1 to 24.203.255.25424.203.255.255262,142
5224.204.0.0/1424.204.0.1 to 24.207.255.25424.207.255.255262,142
5324.208.0.0/1424.208.0.1 to 24.211.255.25424.211.255.255262,142
5424.212.0.0/1424.212.0.1 to 24.215.255.25424.215.255.255262,142
5524.216.0.0/1424.216.0.1 to 24.219.255.25424.219.255.255262,142
5624.220.0.0/1424.220.0.1 to 24.223.255.25424.223.255.255262,142
5724.224.0.0/1424.224.0.1 to 24.227.255.25424.227.255.255262,142
5824.228.0.0/1424.228.0.1 to 24.231.255.25424.231.255.255262,142
5924.232.0.0/1424.232.0.1 to 24.235.255.25424.235.255.255262,142
6024.236.0.0/1424.236.0.1 to 24.239.255.25424.239.255.255262,142
6124.240.0.0/1424.240.0.1 to 24.243.255.25424.243.255.255262,142
6224.244.0.0/1424.244.0.1 to 24.247.255.25424.247.255.255262,142
6324.248.0.0/1424.248.0.1 to 24.251.255.25424.251.255.255262,142
6424.252.0.0/1424.252.0.1 to 24.255.255.25424.255.255.255262,142
6525.0.0.0/1425.0.0.1 to 25.3.255.25425.3.255.255262,142
6625.4.0.0/1425.4.0.1 to 25.7.255.25425.7.255.255262,142
6725.8.0.0/1425.8.0.1 to 25.11.255.25425.11.255.255262,142
6825.12.0.0/1425.12.0.1 to 25.15.255.25425.15.255.255262,142
6925.16.0.0/1425.16.0.1 to 25.19.255.25425.19.255.255262,142
7025.20.0.0/1425.20.0.1 to 25.23.255.25425.23.255.255262,142
7125.24.0.0/1425.24.0.1 to 25.27.255.25425.27.255.255262,142
7225.28.0.0/1425.28.0.1 to 25.31.255.25425.31.255.255262,142
7325.32.0.0/1425.32.0.1 to 25.35.255.25425.35.255.255262,142
7425.36.0.0/1425.36.0.1 to 25.39.255.25425.39.255.255262,142
7525.40.0.0/1425.40.0.1 to 25.43.255.25425.43.255.255262,142
7625.44.0.0/1425.44.0.1 to 25.47.255.25425.47.255.255262,142
7725.48.0.0/1425.48.0.1 to 25.51.255.25425.51.255.255262,142
7825.52.0.0/1425.52.0.1 to 25.55.255.25425.55.255.255262,142
7925.56.0.0/1425.56.0.1 to 25.59.255.25425.59.255.255262,142
8025.60.0.0/1425.60.0.1 to 25.63.255.25425.63.255.255262,142
8125.64.0.0/1425.64.0.1 to 25.67.255.25425.67.255.255262,142
8225.68.0.0/1425.68.0.1 to 25.71.255.25425.71.255.255262,142
8325.72.0.0/1425.72.0.1 to 25.75.255.25425.75.255.255262,142
8425.76.0.0/1425.76.0.1 to 25.79.255.25425.79.255.255262,142
8525.80.0.0/1425.80.0.1 to 25.83.255.25425.83.255.255262,142
8625.84.0.0/1425.84.0.1 to 25.87.255.25425.87.255.255262,142
8725.88.0.0/1425.88.0.1 to 25.91.255.25425.91.255.255262,142
8825.92.0.0/1425.92.0.1 to 25.95.255.25425.95.255.255262,142
8925.96.0.0/1425.96.0.1 to 25.99.255.25425.99.255.255262,142
9025.100.0.0/1425.100.0.1 to 25.103.255.25425.103.255.255262,142
9125.104.0.0/1425.104.0.1 to 25.107.255.25425.107.255.255262,142
9225.108.0.0/1425.108.0.1 to 25.111.255.25425.111.255.255262,142
9325.112.0.0/1425.112.0.1 to 25.115.255.25425.115.255.255262,142
9425.116.0.0/1425.116.0.1 to 25.119.255.25425.119.255.255262,142
9525.120.0.0/1425.120.0.1 to 25.123.255.25425.123.255.255262,142
9625.124.0.0/1425.124.0.1 to 25.127.255.25425.127.255.255262,142
9725.128.0.0/1425.128.0.1 to 25.131.255.25425.131.255.255262,142
9825.132.0.0/1425.132.0.1 to 25.135.255.25425.135.255.255262,142
9925.136.0.0/1425.136.0.1 to 25.139.255.25425.139.255.255262,142
10025.140.0.0/1425.140.0.1 to 25.143.255.25425.143.255.255262,142
10125.144.0.0/1425.144.0.1 to 25.147.255.25425.147.255.255262,142
10225.148.0.0/1425.148.0.1 to 25.151.255.25425.151.255.255262,142
10325.152.0.0/1425.152.0.1 to 25.155.255.25425.155.255.255262,142
10425.156.0.0/1425.156.0.1 to 25.159.255.25425.159.255.255262,142
10525.160.0.0/1425.160.0.1 to 25.163.255.25425.163.255.255262,142
10625.164.0.0/1425.164.0.1 to 25.167.255.25425.167.255.255262,142
10725.168.0.0/1425.168.0.1 to 25.171.255.25425.171.255.255262,142
10825.172.0.0/1425.172.0.1 to 25.175.255.25425.175.255.255262,142
10925.176.0.0/1425.176.0.1 to 25.179.255.25425.179.255.255262,142
11025.180.0.0/1425.180.0.1 to 25.183.255.25425.183.255.255262,142
11125.184.0.0/1425.184.0.1 to 25.187.255.25425.187.255.255262,142
11225.188.0.0/1425.188.0.1 to 25.191.255.25425.191.255.255262,142
11325.192.0.0/1425.192.0.1 to 25.195.255.25425.195.255.255262,142
11425.196.0.0/1425.196.0.1 to 25.199.255.25425.199.255.255262,142
11525.200.0.0/1425.200.0.1 to 25.203.255.25425.203.255.255262,142
11625.204.0.0/1425.204.0.1 to 25.207.255.25425.207.255.255262,142
11725.208.0.0/1425.208.0.1 to 25.211.255.25425.211.255.255262,142
11825.212.0.0/1425.212.0.1 to 25.215.255.25425.215.255.255262,142
11925.216.0.0/1425.216.0.1 to 25.219.255.25425.219.255.255262,142
12025.220.0.0/1425.220.0.1 to 25.223.255.25425.223.255.255262,142
12125.224.0.0/1425.224.0.1 to 25.227.255.25425.227.255.255262,142
12225.228.0.0/1425.228.0.1 to 25.231.255.25425.231.255.255262,142
12325.232.0.0/1425.232.0.1 to 25.235.255.25425.235.255.255262,142
12425.236.0.0/1425.236.0.1 to 25.239.255.25425.239.255.255262,142
12525.240.0.0/1425.240.0.1 to 25.243.255.25425.243.255.255262,142
12625.244.0.0/1425.244.0.1 to 25.247.255.25425.247.255.255262,142
12725.248.0.0/1425.248.0.1 to 25.251.255.25425.251.255.255262,142
12825.252.0.0/1425.252.0.1 to 25.255.255.25425.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses